> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.tabs.com/api-reference/contracts/contracts-billing-microservice-controller-get-seat-amendments-for-billing-term/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.tabs.com/_mcp/server. # List billing term seat amendments GET https://integrators.prod.api.tabsplatform.com/v3/contracts/{id}/billing-terms/{billingTermId}/seat-amendments Reference: https://docs.tabs.com/api-reference/contracts/contracts-billing-microservice-controller-get-seat-amendments-for-billing-term ## Authentication - `Authorization` header (required) — API Key authentication via header ## Request ### Path parameters - `id` (string, required) — Contract id - `billingTermId` (string, required) — Billing term id ### Query parameters - `seatAmendmentId` (string, optional) — Search for a specific seat amendment by seat amendment id (optional) - `page` (double, optional) - `limit` (double, optional) ## Response ### 200 Get all seat amendments for a billing term - `payload` (V3ContractsIdBillingTermsBillingTermIdSeatAmendmentsGetResponsesContentApplicationJsonSchemaPayload, required) — Response payload, will be empty when success is false - `success` (boolean, required) — Boolean with true=success, false=failure - `message` (string, required) — Plain-text description of the result - `error` (IntegratorsApiError, optional) — json element with any error messages or warnings ## Errors ### 400 Bad Request Error Invalid request body - `any` ### 404 Not Found Error Billing term not found for contract - `any` ## Types ### V3ContractsIdBillingTermsBillingTermIdSeatAmendmentsGetResponsesContentApplicationJsonSchemaPayload Response payload, will be empty when success is false ### IntegratorsApiError - `code` (double, required) — API response code - `message` (string, required) — API response message - `details` (IntegratorsApiErrorDetails, optional) — Additional details about the error ### IntegratorsApiErrorDetails Additional details about the error ## Examples **Response** ```json { "payload": { "data": [ { "id": "123e4567-e89b-12d3-a456-426614174000", "obligationId": "456e7890-e89b-12d3-a456-426614174001", "effectiveDate": "2026-01-01", "newQuantity": 150, "prorationPolicy": "DAY", "trueUpTiming": "IMMEDIATE", "lastUpdatedAt": "2025-09-19T00:00:00.000Z" } ], "limit": 1.1, "totalItems": 1.1, "currentPage": 1.1 }, "success": true, "message": "string", "error": { "code": 1.1, "message": "string", "details": {} } } ``` **SDK Code** ```python import requests url = "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://integrators.prod.api.tabsplatform.com/v3/contracts/123e4567-e89b-12d3-a456-426614174000/billing-terms/123e4567-e89b-12d3-a456-426614174000/seat-amendments")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```